\chapter*{Appendix 2}
\addcontentsline{toc}{chapter}{Appendix 2}

%recommencer la numérotation des section à "1"
\setcounter{section}{0}

\section*{How to measure performance with the AUROC (area under the receiver operating characteristic). }

\begin{figure}[!h]
\begin{center}
\includegraphics[height=9cm]{annexes/roc-curve-v2.png}
\end{center}
\caption{ROC Curves from various classifiers\protect\footnotemark}
\end{figure}

\footnotetext{ The image is from the website \url{https://glassboxmedicine.com/2019/02/23/measuring-performance-auc-auroc/}}

As shown in figure 7.1, the closer a ROC Curve is to the left upper corner, the better its classifier is. \\

The value of the AUROC can give a first idea of the behavior of the classifier.  When AUROc is equal to 0.7, it means there is a 70\% chance that the model will be able to distinguish between positive class and negative class. We can also look at the extreme cases:
\begin{itemize}
    \item \textbf{If AUROC = 1 :} The classifier is perfect: it classifies every positive case as positive and negative cases as negative.
    \item \textbf{If AUROC = 0.5 :} The classifier classifies randomly: the model has no class separation capacity. 
    \item \textbf{If AUROC $\simeq$ 0 :} The classifier predicts a negative class as a positive class and vice versa.
\end{itemize}
